---
title: glab milestone delete
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Delete a group or project milestone.

```plaintext
glab milestone delete [flags]
```

## Examples

```console
# Delete milestone for the current project
$ glab milestone delete 123

# Delete milestone for the specified project
$ glab milestone delete 123 --project project-name

# Delete milestone for the specified group
$ glab milestone delete 123 --group group-name

```

## Options

```plaintext
      --group string     The ID or URL-encoded path of the group.
      --project string   The ID or URL-encoded path of the project.
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
